<script setup lang="ts">
    import { Document } from '../entities/Document'

    const documents = defineModel<Document[]>('documents', { required: true })

    const isDocumentsDrawerOpen = defineModel<boolean>({ default: false })
</script>

<template>
    <v-navigation-drawer
        v-model="isDocumentsDrawerOpen"
        data-cy="download-documents-list"
        location="right"
    >
        <v-list-item title="Documents">
            <template #append>
                <v-icon @click="isDocumentsDrawerOpen = false">
                    mdi-close
                </v-icon>
            </template>
        </v-list-item>
        <v-divider></v-divider>
        <v-list>
            <v-list-item
                v-for="document in documents"
                :key="document.id"
                :href="document.url.href"
                target="_blank"
                prepend-icon="mdi-file-download-outline"
            >
                {{ document.name }}
            </v-list-item>
            <v-list-item v-if="documents.length === 0" class="font-italic">
                Aucun document disponible
            </v-list-item>
        </v-list>
    </v-navigation-drawer>
</template>
